namespace ScrewsMaster
{
    public class SheepPlayCtrl : BaseCtrl
    {
        public static SheepPlayCtrl Instance { get; private set; }

        private SheepPlayModel model;

        #region 生命周期
        protected override void OnInit()
        {
            Instance = this;
            //model = ModuleManager.Instance..GetModel(ModelConst.SheepPlayModel) as SheepPlayModel;
        }

        protected override void OnDispose()
        {
            Instance = null;
        }
        #endregion

        #region 消息
        protected override void AddListener()
        {

        }
        protected override void RemoveListener()
        {

        }

        protected override void AddServerListener()
        {

        }
        protected override void RemoveServerListener()
        {

        }
        #endregion
    }
}